<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\DataSet;

class RequisicaoSetorController extends \Teknisa\GER\Controllers\TeknisaCrud {

    protected $dataSourceName = "setor_por_filial";
    protected $parameterBagColumns = array("NRORG", "CDFILIAL");
    
    public function retornaServicoPorFilialGrupserv(DTO\Request\Filter $request, DTO\Response $response) {
        try {
			$this->parameterBagColumns = array('NRORG', 'CDFILIAL', 'CDGRUPSERV');
            $this->dataSourceName = "servico_por_filial_grupserv";

            $this->find($request, $response);
        } catch (\Exception $e) {
            $response->setError(new DTO\Response\Error($e->getMessage(), 1));
        }
    }
}